"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireDefault(require("react"));
var _propTypes = require("prop-types");
var _utils = require("./../utils");
var _CoalitionCardTitle = _interopRequireDefault(require("./CoalitionCardTitle"));
var _CoalitionCardDescription = _interopRequireDefault(require("./CoalitionCardDescription"));
var _CoalitionButton = _interopRequireDefault(require("./CoalitionButton"));
require("./CoalitionCard.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionCard = _ref => {
  let {
    title,
    titleStyle,
    description,
    descriptionStyle,
    children,
    buttonLabel,
    buttonStyle,
    valid,
    submitFunction
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card"
  }, /*#__PURE__*/_react.default.createElement(_CoalitionCardTitle.default, {
    title: title,
    style: titleStyle
  }), /*#__PURE__*/_react.default.createElement(_CoalitionCardDescription.default, {
    description: description,
    style: descriptionStyle
  }), /*#__PURE__*/_react.default.createElement("div", null, children), /*#__PURE__*/_react.default.createElement(_CoalitionButton.default, {
    label: buttonLabel,
    style: buttonStyle,
    backgroundColor: (0, _utils.isDisabled)(valid),
    disabled: valid,
    onClickEvent: submitFunction
  }));
};
CoalitionCard.propTypes = {
  title: _propTypes.PropTypes.string,
  titleStyle: _propTypes.PropTypes.object,
  description: _propTypes.PropTypes.string,
  descriptionStyle: _propTypes.PropTypes.object,
  children: _propTypes.PropTypes.array,
  buttonLabel: _propTypes.PropTypes.string,
  buttonStyle: _propTypes.PropTypes.object,
  valid: _propTypes.PropTypes.bool,
  submitFunction: _propTypes.PropTypes.func
};
CoalitionCard.defaultProps = {
  title: "CoalitionCard Title",
  titleStyle: {},
  description: "CoalitionCard Description",
  descriptionStyle: {},
  children: [/*#__PURE__*/_react.default.createElement("div", {
    key: "CoalitionCard"
  }, "CoalitionCard Children")],
  buttonLabel: "Accept",
  buttonStyle: {},
  valid: true,
  submitFunction: e => console.log(["No submit function associated", e])
};
var _default = CoalitionCard;
exports.default = _default;