"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = require("prop-types");
var _utils = require("../utils");
var _svgs = require("../svgs");
require("./CoalitionCardPunch.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const c = "coalition-card-punch-";
const CoalitionCardPromotion = _ref => {
  let {
    logo,
    product,
    title,
    used,
    needed,
    availableToRedeem
  } = _ref;
  const ready = availableToRedeem >= 1 || used >= needed;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-punch"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(c, "main ").concat(ready ? "b-success" : ""),
    style: {
      borderBottom: "none"
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(c, "main-product")
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: product,
    alt: "product"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(c, "main-title")
  }, /*#__PURE__*/_react.default.createElement("span", null, title))), /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(c, "footer ").concat(ready ? "b-success bg-success" : ""),
    style: {
      borderTop: "none"
    }
  }, /*#__PURE__*/_react.default.createElement(CommonFoot, {
    ready: ready,
    logo: logo
  }), ready ? /*#__PURE__*/_react.default.createElement(Redeemable, null) : /*#__PURE__*/_react.default.createElement(NotRedeemable, {
    used: used,
    needed: needed
  })));
};
const CommonFoot = _ref2 => {
  let {
    ready,
    logo
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "static-space"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(c, "footer-logo")
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: logo,
    alt: "logo"
  })), ready ? /*#__PURE__*/_react.default.createElement(_svgs.SplitterSuccess, null) : /*#__PURE__*/_react.default.createElement(_svgs.SplitterNormal, null));
};
const Redeemable = () => /*#__PURE__*/_react.default.createElement("div", {
  className: "".concat(c, "footer-redeemable")
}, "\xA1Ya puedes cambiar tus sellos!");
const NotRedeemable = _ref3 => {
  let {
    used,
    needed
  } = _ref3;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "dinamyc-space"
  }, /*#__PURE__*/_react.default.createElement(ProgressDrawer, {
    used: used,
    needed: needed
  }), /*#__PURE__*/_react.default.createElement(RemainingStamps, {
    needed: needed
  }), /*#__PURE__*/_react.default.createElement(CounterStamps, {
    used: used,
    needed: needed
  }));
};
const ProgressDrawer = _ref4 => {
  let {
    used,
    needed,
    drawables = 5
  } = _ref4;
  const draw = [];
  const limit = needed >= drawables ? drawables : needed;
  for (let i = 0; i < limit; i++) {
    const k = "".concat(i, "_").concat((0, _utils.makeId)(5));
    const item = i < used ? /*#__PURE__*/_react.default.createElement(_svgs.CircleCheck, {
      key: k
    }) : /*#__PURE__*/_react.default.createElement(_svgs.CirclePlus, {
      key: k
    });
    draw.push(item);
  }
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(c, "footer-dots")
  }, draw);
};
const RemainingStamps = _ref5 => {
  let {
    needed,
    drawables = 5
  } = _ref5;
  if (needed <= drawables) return /*#__PURE__*/_react.default.createElement("div", null);
  const remanent = needed - drawables;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(c, "footer-remanent")
  }, "+".concat(remanent));
};
const CounterStamps = _ref6 => {
  let {
    used,
    needed
  } = _ref6;
  const balance = "".concat(used, "/").concat(needed);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "".concat(c, "footer-counter")
  }, balance);
};
CoalitionCardPromotion.propTypes = {
  logo: _propTypes.PropTypes.string,
  product: _propTypes.PropTypes.string,
  title: _propTypes.PropTypes.string,
  used: _propTypes.PropTypes.number,
  needed: _propTypes.PropTypes.number,
  availableToRedeem: _propTypes.PropTypes.number
};
const defProd = (0, _utils.isPortable)() ? "88" : "100";
CoalitionCardPromotion.defaultProps = {
  logo: (0, _utils.generateImg)("30x30", "L"),
  product: (0, _utils.generateImg)("".concat(defProd, "x110"), "Product"),
  title: "En la compra de 10 cafés Andatti, te regalamos 2",
  used: 3,
  needed: 5,
  availableToRedeem: 0
};
var _default = CoalitionCardPromotion;
exports.default = _default;